#ifndef PAMVMCS4SD_H
#define PAMVMCS4SD_H
#include <iostream>

#include "PamVMCDetectorSD.h"

using std::cout;
using std::endl;

class PamVMCS4SD: public PamVMCDetectorSD{


public:
  PamVMCS4SD():PamVMCDetectorSD("pHitData","S4",1000)
{

};


  /*   virtual void FillHit(fin f,TVirtualMC *g){ 

  
     switch(f) {
    case ENTERING:
     
       CleanHit();
      FillVolID();
      InitHit();
    
    default:
     UpdateHit(g);
   
     cout<<"NEW HIT ENTERING OR  INSIDE "<<fnohit<<" PDG="<<fhit.GetPDG()<<" E="<<fhit.GetEREL()<<endl;
     break;      
   }

  switch(f){
  case EXITING:
  ////  // Save hit if energy release is greater than zero 
   if(fhit.GetEREL()){
  if(fdetID->FillVolID()){
  ///  //cout<<"saving"<<fdetID->GetID()<<endl;
  cout<<"NEW HIT EXITING "<<fnohit<<" PDG="<<fhit.GetPDG()<<" E="<<fhit.GetEREL()<<endl;
  	  SaveHit("S4");
  } else {
    cout << "S4 FillVolID false" <<endl; 
  }
    }
    break;
  default:
    break;
  }
 }
  */

  ClassDef(PamVMCS4SD,1)

    };

#endif // PAMVMCS4SD_H
